
Redmine - Feature #4518

Wiki formatting documentation for nested lists

2010-01-04 19:26 - Mike Matz

Status: Closed Start date: 2010-01-04

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 50%

Category: Documentation Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Currently, the shipped version of the wiki formatting documentation does not mention nested lists.  The syntax is a bit different (and I

think better) than that of Trac's wiki, but I wasn't able to find docs on how it's done and instead asked on the IRC channel.

I'm referring to these files:

/help/wiki_syntax.html

/help/wiki_syntax_detailed.html

Associated revisions

Revision 13756 - 2014-12-13 19:49 - Jean-Philippe Lang

Wiki formatting documentation for nested lists (#4518).

Patch by Matt Wiseley.

Revision 13823 - 2015-01-03 14:35 - Toshi MARUYAMA

Wiki formatting documentation for nested lists in translated languages (#4518)

History

#1 - 2010-05-07 15:38 - Muntek Singh

- Status changed from New to 7

- Assignee changed from Mischa The Evil to Muntek Singh

#2 - 2010-06-22 12:45 - Johan du Bois

For anyone wandering, and who comes across this issue as I did from Google, the syntax is ** or ##.

#3 - 2010-11-28 17:07 - Muntek Singh

- Assignee deleted (Muntek Singh)

#4 - 2011-09-06 09:46 - Karsten W. Rohrbach

- File redmine-1.2.1-wiki_syntax.patch added

Patch for wiki_syntax.html attached

#5 - 2011-09-06 09:47 - Karsten W. Rohrbach

- % Done changed from 0 to 50

#6 - 2011-12-05 00:46 - Mischa The Evil

- Assignee set to Mischa The Evil

#7 - 2013-01-13 21:05 - Jean-Philippe Lang

- Status changed from 7 to New

- Assignee deleted (Mischa The Evil)
#8 - 2014-12-13 17:40 - Matt Wiseley

- File issue-4518-en.patch added

- File issue-4518-other-langs.patch added

Here is a patch file that documents sublist formatting for the current master. Most of the translations of this file seem to be the same. Presuming these

may simply be links in a committer's dev environment, I've attached two patch files. The "en" file patches only the "en" version of the file. The

"other-langs" file patches all the others that use the same words for the lists as the "en" version (Item 1, Item 2).

#9 - 2014-12-13 19:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Patch committed in r13756, thanks.

#10 - 2015-01-03 13:14 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Some charactor encodings are broken.

#11 - 2015-01-03 13:17 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Toshi MARUYAMA wrote:

Some charactor encodings are broken.

 Sorry, these are #12734.

Files

redmine-1.2.1-wiki_syntax.patch 1.31 KB 2011-09-06 Karsten W. Rohrbach

issue-4518-en.patch 1.33 KB 2014-12-13 Matt Wiseley

issue-4518-other-langs.patch 54.5 KB 2014-12-13 Matt Wiseley
